Bug 1967066 - [global registration] - default packages are overridden by host package even if not specified registration form
Summary: [global registration] - default packages are overridden by host package even ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.10.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1967065 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 11:46 UTC by Omkar Khatavkar
Modified: 2021-11-16 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:11:21 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32780 0 Normal New [global registration] - default packages are overridden by host package even if not specified registration form 2021-06-11 08:27:45 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:11:30 UTC

Description Omkar Khatavkar 2021-06-02 11:46:29 UTC
Description of problem:
[global registration] - default packages are overridden by host package even if not specified registration form (--force should work)

Version-Release number of selected component (if applicable):
Satellite 6.10 snap 2  

How reproducible:
always 

Steps to Reproduce:
1. fill the registration form with filling the package name e.g. php
2. generate the registration command
3. register host with command   
4. now fill the 'host packages' parameter in the organization e.g. vim emacs mlocate
5. reregister the host again with --force option check    

Actual results:
Host get registered with installing old packages 

Expected results:
Host should get re-registered with installing default packages

Additional info:
--force should clean the host pacakge parameter from the host if not overridden

Comment 1 Brad Buckingham 2021-06-03 14:12:10 UTC
*** Bug 1967065 has been marked as a duplicate of this bug. ***

Comment 2 Leos Stejskal 2021-06-11 08:27:43 UTC
Created redmine issue https://projects.theforeman.org/issues/32780 from this bug

Comment 3 Leos Stejskal 2021-07-21 08:35:29 UTC
PR: https://github.com/theforeman/foreman/pull/8680

Comment 4 Patrick Creech 2021-07-21 13:45:24 UTC
upstream pull request is still open.  moving to assigned.

Comment 5 Bryan Kearney 2021-07-28 16:02:47 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32780 has been resolved.

Comment 7 Omkar Khatavkar 2021-08-09 11:59:11 UTC
Verified with Satellite 6.10 Snap 12, Packages are getting installed and from the host parameters and as well as the on-demand from the host form.

Comment 10 errata-xmlrpc 2021-11-16 14:11:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.